searchNodes=[{"doc":"Documentation for VatchexGreece .","ref":"VatchexGreece.html","title":"VatchexGreece","type":"module"},{"doc":"Arity-2 version of get/4 that takes a keyword list or map as the second parameter.","ref":"VatchexGreece.html#get/2","title":"VatchexGreece.get/2","type":"function"},{"doc":"Pull information from the web service for the target VAT ID afm_called_for . Note: the function minimizes and checks the source and target VAT IDs, and only sends the request to the API if both minimized VAT IDs are valid. You need to pass authentication parameters username , password and the source VAT ID afm_called_by as parameters. Examples Typically, you will pass a valid 9-digit VAT ID, with or without the &quot;EL&quot; prefix: get ( &quot;123456783&quot; , ... ) # valid (dummy) 9-digit VAT ID get ( &quot;EL123456783&quot; , ... ) # ditto, with &quot;EL&quot; prefix that will get stripped Older VAT IDs only have 8 digits, and will get leading-zero-padded to 9 digits: get ( &quot;11111067&quot; , ... ) # valid (dummy) 8-digit VAT ID","ref":"VatchexGreece.html#get/4","title":"VatchexGreece.get/4","type":"function"},{"doc":"Unsafe version of get/2.","ref":"VatchexGreece.html#get!/2","title":"VatchexGreece.get!/2","type":"function"},{"doc":"Unsafe version of get/4.","ref":"VatchexGreece.html#get!/4","title":"VatchexGreece.get!/4","type":"function"},{"doc":"Fix/correct some elements of the response map.","ref":"VatchexGreece.Fixes.html","title":"VatchexGreece.Fixes","type":"module"},{"doc":"Apply all fixes, i.e. fix activities list, unquote commercial if quoted, and convert the registration date to YYYY-MM-DD format.","ref":"VatchexGreece.Fixes.html#apply_all/1","title":"VatchexGreece.Fixes.apply_all/1","type":"function"},{"doc":"Process the response and convert it to a map within a response tuple.","ref":"VatchexGreece.Process.html","title":"VatchexGreece.Process","type":"module"},{"doc":"Handle any errors based on the HTTP response content.","ref":"VatchexGreece.Process.html#from_request/1","title":"VatchexGreece.Process.from_request/1","type":"function"},{"doc":"Convert the response to {:ok, map} if valid, otherwise return {:error, %{}}.","ref":"VatchexGreece.Process.html#to_map/1","title":"VatchexGreece.Process.to_map/1","type":"function"},{"doc":"Prepare and post a request to the SOAP web service.","ref":"VatchexGreece.Request.html","title":"VatchexGreece.Request","type":"module"},{"doc":"POST the XML request with proper headers to the SOAP web service.","ref":"VatchexGreece.Request.html#post/1","title":"VatchexGreece.Request.post/1","type":"function"},{"doc":"Prepare the request's XML template based on the VAT ID you call for), and authentication settings (username, password, VAT ID you call from).","ref":"VatchexGreece.Request.html#prepare/4","title":"VatchexGreece.Request.prepare/4","type":"function"},{"doc":"Module with functions used to validate Greek VAT IDs.","ref":"VatchexGreece.Validate.html","title":"VatchexGreece.Validate","type":"module"},{"doc":"Check that the passed VAT ID contains the correct checksum digit.","ref":"VatchexGreece.Validate.html#check_correct_checksum/1","title":"VatchexGreece.Validate.check_correct_checksum/1","type":"function"},{"doc":"Unsafe check that the passed VAT ID contains the correct checksum digit.","ref":"VatchexGreece.Validate.html#check_correct_checksum!/1","title":"VatchexGreece.Validate.check_correct_checksum!/1","type":"function"},{"doc":"Check that the passed VAT ID only contains digits.","ref":"VatchexGreece.Validate.html#check_only_digits/1","title":"VatchexGreece.Validate.check_only_digits/1","type":"function"},{"doc":"Unsafe check that the passed VAT ID only contains digits.","ref":"VatchexGreece.Validate.html#check_only_digits!/1","title":"VatchexGreece.Validate.check_only_digits!/1","type":"function"},{"doc":"Check that the passed VAT ID has the proper length.","ref":"VatchexGreece.Validate.html#check_proper_length/1","title":"VatchexGreece.Validate.check_proper_length/1","type":"function"},{"doc":"Unsafe check that the passed VAT ID has the proper length.","ref":"VatchexGreece.Validate.html#check_proper_length!/1","title":"VatchexGreece.Validate.check_proper_length!/1","type":"function"},{"doc":"Boolean check that the passed VAT ID contains the correct checksum digit.","ref":"VatchexGreece.Validate.html#correct_checksum?/1","title":"VatchexGreece.Validate.correct_checksum?/1","type":"function"},{"doc":"Remove the &quot;EL&quot; or &quot;GR&quot; prefixes if present, remove any whitespace (leading, trailing, or internal), and return the VAT ID's minimal valid representation, including adding a leading &quot;0&quot; in case the provided ID had 8 digits (old format).","ref":"VatchexGreece.Validate.html#minimize/1","title":"VatchexGreece.Validate.minimize/1","type":"function"},{"doc":"Boolean check that the passed VAT ID only contains digits.","ref":"VatchexGreece.Validate.html#only_digits?/1","title":"VatchexGreece.Validate.only_digits?/1","type":"function"},{"doc":"Boolean check that the passed VAT ID has the proper length.","ref":"VatchexGreece.Validate.html#proper_length?/1","title":"VatchexGreece.Validate.proper_length?/1","type":"function"},{"doc":"Check whether the VAT ID passed (as string) is valid, i.e. it has the correct length (9 total, and only digits), where the last digit is equal to the checksum calculate from the first 8 digits.","ref":"VatchexGreece.Validate.html#valid?/1","title":"VatchexGreece.Validate.valid?/1","type":"function"},{"doc":"An Elixir library to easily pull company information from the SOAP web service of the Greek General Secretariat of Information Systems for Public Administration (GSIS) using the VAT ID (Αριθμός Φορολογικού Μητρώου, abbreviated as &quot;ΑΦΜ&quot; or &quot;Α.Φ.Μ.&quot;). Note: this project is a volunteer effort and not in any way affiliated with GSIS or the data service providers of the Greek Ministry of Finance.","ref":"readme.html","title":"VatchexGreece","type":"extras"},{"doc":"The package is available in Hex and can be installed by adding vatchex_greece to your list of dependencies in mix.exs . def deps do [ { :vatchex_greece , &quot;~&gt; 0.6.0&quot; } , ] end For parsing SOAP responses, Soap is used. Because Soap uses a config/config.exs , you need to add the following snippet to your application's config/config.exs : config :soap , :globals , version : &quot;1.1&quot;","ref":"readme.html#installation","title":"VatchexGreece - Installation","type":"extras"},{"doc":"Use VatchexGreece.get/4 (or its unsafe variant VatchexGreece.get!/4 ) with the target VAT ID plus your GSIS SOAP web service username, password, and source VAT ID associated with your authentication username and password (it's a legal requirement). For repeated use with the same credentials it's more convenient to wrap VatchexGreece.get!/2 (or its unsafe variant VatchexGreece.get!/2 ) so that it automatically pulls these three credential parameters from a keyword list, or unpacks them from a keyword list or map; see below.","ref":"readme.html#standalone-usage","title":"VatchexGreece - Standalone usage","type":"extras"},{"doc":"Add the three configuration parameters to your application's config.exs , with these specific key names within the keyword list: config :my_app , vatchex_greece : [ username : &quot;foo&quot; , password : &quot;bar&quot; , afmcalledby : &quot;baz&quot; ] Note that afmcalledby must be a valid VAT ID, i.e. it must pass the VatchexGreece.Validate.valid?/1 checker. In any case, get/4 performs a validity check on both the source and the target VAT IDs and only proceeds with the request preparation when both are valid. There is also a get/2 that takes a keyword list or map as its second argument, so that it's easier to use with the config above. You can call it with the target VAT ID as the first argument (with or without the &quot;EL&quot; prefix or a leading zero), and the keyword tuple or map pulled from your application's configuration as the second argument: VatchexGreece . get ( &quot;EL123456789&quot; , Application . fetch_env! ( :my_app , :vatchex_greece ) ) Maybe wrap get/2 so that you can simply call vat.(&quot;EL123456789&quot;) without providing the credentials every time, like so: vat = fn x when is_bitstring ( x ) -&gt; VatchexGreece . get ( x , Application . fetch_env! ( :my_app , :vatchex_greece ) ) end","ref":"readme.html#application-configuration","title":"VatchexGreece - Application configuration","type":"extras"},{"doc":"The docs can be found at https://hexdocs.pm/vatchex_greece .","ref":"readme.html#documentation","title":"VatchexGreece - Documentation","type":"extras"}]